Package org.eclipse.zest.layouts.algorithms

# Class HorizontalTreeLayoutAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm.Zest1
org.eclipse.zest.layouts.algorithms.HorizontalTreeLayoutAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`, `LayoutAlgorithm.Zest1`, `Stoppable`

@Deprecated(since="2.0", forRemoval=true) public class HorizontalTreeLayoutAlgorithm extends TreeLayoutAlgorithm.Zest1
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release. Use `TreeLayoutAlgorithm` with `TreeLayoutAlgorithm.LEFT_RIGHT` instead.
A simple algorithm to arrange graph nodes in a layered horizontal tree-like layout.

See Also:
  - `TreeLayoutAlgorithm`
@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.zest.layouts.LayoutAlgorithm

`LayoutAlgorithm.Zest1`

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`comparator, filter, internalAsynchronous, internalContinuous, layout_styles, layoutStopped, MIN_ENTITY_SIZE, resizeEntitiesAfterLayout`

## Constructor Summary

Constructors
Constructor
Description
`HorizontalTreeLayoutAlgorithm()`
Deprecated.
`HorizontalTreeLayoutAlgorithm(int styles)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isValidConfiguration(boolean asynchronous, boolean continueous)`
Deprecated.
`protected void`
`postLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider)`
Deprecated.
`protected void`
`preLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)`
Deprecated.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm.Zest1

`applyLayoutInternal, getCurrentLayoutStep, getRoots, getTotalNumberOfLayoutSteps, setLayoutArea`

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1

`addEntity, addProgressListener, addRelationship, applyLayout, applyLayout, defaultFitWithinBounds, defaultFitWithinBounds, fireProgressEnded, fireProgressEvent, fireProgressStarted, fireProgressUpdated, getEntityAspectRatio, getLayoutBounds, getLocalLocation, getNumberOfProgressListeners, getStyle, isRunning, removeEntity, removeProgressListener, removeRelationship, removeRelationships, removeRelationships, setComparator, setEntityAspectRatio, setFilter, setLayoutContext, setStyle, stop, updateBendPoints, updateEntities, updateLayoutLocations, updateRelationships, verifyInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HorizontalTreeLayoutAlgorithm

@Deprecated public HorizontalTreeLayoutAlgorithm()
Deprecated.
Creates a horizontal tree layout with no style

### HorizontalTreeLayoutAlgorithm

@Deprecated public HorizontalTreeLayoutAlgorithm(int styles)
Deprecated.

## Method Details

### preLayoutAlgorithm

@Deprecated protected void preLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider, double x, double y, double width, double height)
Deprecated.
Description copied from class: `TreeLayoutAlgorithm.Zest1`
Executes this TreeLayoutAlgorithm layout algorithm by referencing the data stored in the repository system. Once done, the result will be saved to the data repository.

Overrides:
  `preLayoutAlgorithm` in class `TreeLayoutAlgorithm.Zest1`
Parameters:
  `entitiesToLayout` - Apply the algorithm to these entities
  `relationshipsToConsider` - Only consider these relationships when applying the algorithm.
  `x` - The left side of the bounds in which the layout can place the entities.
  `y` - The top side of the bounds in which the layout can place the entities.
  `width` - The width of the bounds in which the layout can place the entities.
  `height` - The height of the bounds in which the layout can place the entities.

### postLayoutAlgorithm

@Deprecated protected void postLayoutAlgorithm(InternalNode[] entitiesToLayout, InternalRelationship[] relationshipsToConsider)
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Code called after the layout algorithm ends

Overrides:
  `postLayoutAlgorithm` in class `TreeLayoutAlgorithm.Zest1`

### isValidConfiguration

@Deprecated protected boolean isValidConfiguration(boolean asynchronous, boolean continueous)
Deprecated.
Description copied from class: `AbstractLayoutAlgorithm.Zest1`
Determines if the configuration is valid for this layout

Overrides:
  `isValidConfiguration` in class `TreeLayoutAlgorithm.Zest1`
Parameters:
  `asynchronous` -
  `continueous` -